%global _empty_manifest_terminate_build 0
Name:		python-tensorboard
Version:	2.3.0
Release:	1
Summary:	TensorBoard lets you watch Tensors Flow
License:	Apache 2.0
URL:		https://github.com/tensorflow/tensorboard
Source0:	https://files.pythonhosted.org/packages/e9/1b/6a420d7e6ba431cf3d51b2a5bfa06a958c4141e3189385963dc7f6fbffb6/tensorboard-2.3.0-py3-none-any.whl
BuildArch:	noarch

Requires:	python3-absl-py
Requires:	python3-grpcio
Requires:	python3-google-auth
Requires:	python3-google-auth-oauthlib
Requires:	python3-markdown
Requires:	python3-numpy
Requires:	python3-protobuf
Requires:	python3-requests
Requires:	python3-setuptools
Requires:	python3-six
Requires:	python3-tensorboard-plugin-wit
Requires:	python3-werkzeug
Requires:	python3-futures
Requires:	python3-wheel
Requires:	python3-wheel

%description
TensorBoard is a suite of web applications for inspecting and understanding
your TensorFlow runs and graphs.

Releases prior to 1.6.0 were published under the ``tensorflow-tensorboard`` name
and may be found at https://pypi.python.org/pypi/tensorflow-tensorboard.

%package -n python3-tensorboard
Summary:	TensorBoard lets you watch Tensors Flow
Provides:	python-tensorboard
BuildRequires:	python3-devel
BuildRequires:	python3-pip
BuildRequires:	python3-setuptools
%description -n python3-tensorboard
TensorBoard is a suite of web applications for inspecting and understanding
your TensorFlow runs and graphs.

Releases prior to 1.6.0 were published under the ``tensorflow-tensorboard`` name
and may be found at https://pypi.python.org/pypi/tensorflow-tensorboard.

%package help
Summary:	Development documents and examples for tensorboard
Provides:	python3-tensorboard-doc
%description help
TensorBoard is a suite of web applications for inspecting and understanding
your TensorFlow runs and graphs.

Releases prior to 1.6.0 were published under the ``tensorflow-tensorboard`` name
and may be found at https://pypi.python.org/pypi/tensorflow-tensorboard.

%prep

%build
mkdir dist
cp %{SOURCE0} dist

%install
%py3_install_wheel *
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/doclist.lst .

%files -n python3-tensorboard
%{_bindir}/*
%{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Oct 08 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
